## ros-indigo-husky-bringup 0.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_bringup)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()
catkin_add_env_hooks(50.husky_find_mag_config
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

roslaunch_add_file_check(launch)

install(PROGRAMS scripts/install scripts/calibrate_compass scripts/compute_calibration 
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch udev config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-husky-bringup (0.2.7-0trusty) trusty; urgency=high

  * Fixes for single-ur5 husky platform so that it works in production
  * Contributors: Devon Ash

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-indigo-husky-bringup (0.2.6-0trusty) trusty; urgency=high

  * Adding support for the UM7 IMU.
  * Added new ur_modern_driver
  * Added param for laser frame_id.
  * Contributors: TheDash, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 03 Oct 2016 04:00:00 -0000

ros-indigo-husky-bringup (0.2.5-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-indigo-husky-bringup (0.2.4-0trusty) trusty; urgency=high

  * Fix laser path
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-indigo-husky-bringup (0.2.3-0trusty) trusty; urgency=high

  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-husky-bringup (0.2.2-0trusty) trusty; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-bringup (0.2.1-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-bringup (0.2.0-0trusty) trusty; urgency=high

  * Add UR5 bringup
  * Contributors: Paul Bovbel, Devon Ash

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-bringup (0.1.2-0trusty) trusty; urgency=high

  * Namespace fixes
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 12 Feb 2015 05:00:00 -0000

ros-indigo-husky-bringup (0.1.1-0trusty) trusty; urgency=high

  * Update website and authors
  * Add transform to transfer IMU data to base_link frame
  * Make ROBOT_NETWORK optional
  * Switch to robot_upstart python API
  * Switch to debhelper install method for udeb rules
  * Switch to env-hook for file storage
  * Switch to new calibration method for um6; switch to imu_filter_magwick
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-indigo-husky-bringup (0.1.0-0trusty) trusty; urgency=high

  * Port to robot_localization, gyro only pending um6 fixes
  * changed the launch file to match parameter namespace changes in the imu_compass node
  * ported kingfisher compass calibration to husky
  * Added Microstrain device condition - Looks for an attached Microstrain device and installs the necessary launch files from the microstrain_config directory.
  * Update sick.launch - Fixed binary name
  * Change default IP for LIDAR to 192.168.1.14
  * Add launcher for sick LIDAR.
  * Added Microstrain launch file and udev rule.
  * Contributors: Jeff Schmidt, Mike Purvis, Paul Bovbel, Prasenjit Mukherjee

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-husky-bringup (0.0.6-0trusty) trusty; urgency=high

  * Restore leading slash in checking the joystick path.
    This was removed by mistake in an earlier commit.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sat, 12 Oct 2013 04:00:00 -0000

ros-indigo-husky-bringup (0.0.5-0trusty) trusty; urgency=high

  * Acknowledge the ROBOT_SETUP env variable in the install script.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sat, 05 Oct 2013 04:00:00 -0000

ros-indigo-husky-bringup (0.0.4-0trusty) trusty; urgency=high

  * Remove the other launchfile check until we get a chance to fix the config location issue.
  * adding installation of ekf yaml file to install script
  * better parameters for husky compass calibration based on standard husky configurations
  * combining both ekf launchers into one and relying on a config file to to pick whether we want an outdoor or indoor ekf to start
  * allowing the user to scale the gps data if desired
  * adding parameter to lock the altitude at 0
  * set invalid covariance value for enu to really high, instead of -1

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-indigo-husky-bringup (0.0.3-0trusty) trusty; urgency=high

  * Add sicktoolbox_wrapper in advance of a config for standard LIDARs.
  * Parameterize from environment variables the IMU and GPS ports, and network interface to launch from.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 01 Oct 2013 04:00:00 -0000

ros-indigo-husky-bringup (0.0.2-0trusty) trusty; urgency=high

  * Compass startup and inertial ekf
  * adding magnetometer configuration file to husky_bringup
  * added static transform to um6 launcher
  * Set namespace to navsat, baud rate to 9600.
  * Depend on robot_upstart.
  * Add automatic launchfile checks.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Sep 2013 04:00:00 -0000

ros-indigo-husky-bringup (0.0.1-0trusty) trusty; urgency=high

  * Catkinize package.
  * First cut of a new install script.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 13 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-husky-bringup
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/husky_bringup
Standards-Version: 3.9.2

Package: ros-indigo-husky-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-indigo-husky-base, ros-indigo-husky-control, ros-indigo-husky-description, ros-indigo-imu-filter-madgwick, ros-indigo-imu-transformer, ros-indigo-lms1xx, ros-indigo-microstrain-3dmgx2-imu, ros-indigo-nmea-comms, ros-indigo-nmea-navsat-driver, ros-indigo-robot-localization, ros-indigo-robot-upstart, ros-indigo-tf, ros-indigo-tf2-ros, ros-indigo-um6, ros-indigo-um7, ros-indigo-ur-modern-driver
Description: Clearpath Husky installation and integration package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-husky-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
